// ファイル名： Ch05/SolidLocator/Sphere.cc 
#include "./Sphere.hh" 
 
Sphere::Sphere() 
{} 
Sphere::Sphere(string sphereName, SolidPars sphereRadius) 
{ 
  solidName = sphereName; solidPars = sphereRadius;  
} 
Sphere::~Sphere() 
{} 
bool Sphere::isPointIn(Point3D testPoint) 
{  
  return (  
     solidPars[0]*solidPars[0] >=   testPoint[0]*testPoint[0]  
                                  + testPoint[1]*testPoint[1] 
                                  + testPoint[2]*testPoint[2] ); 
}
